@charset "utf-8";
@import "../../../_variables.sass";

.login-select {
  position: relative;
  text-align: left;
  min-width: 160px;
  display: flex;
  align-items: center;
  padding: 14px;

  .profile {
    height: 24px;
    width: 24px;
    background: url("../../../assets/images/icons/profile.svg") no-repeat center;
    flex-shrink: 0;
    cursor: default;
    margin-right: 10px;
  }

  .login-select__dropdown {
    font-size: 16px;
    font-weight: $weight-bold;
    color: $primary;
    background-color: white;
    cursor: pointer;
    display: flex;
    align-items: center;
    width: 100%;
    justify-content: space-between;
  }

  .login-select__options {
    position: absolute;
    top: calc(100% + 5px);
    left: 0;
    width: 100%;
    font-size: 16px;
    background: white;
    list-style: none;
    margin: 0;
    font-weight: 500;
    color: $primary;
    box-shadow: $card-shadow;
    z-index: 2;
  }

  .login-select__option {
    padding: 10px;
    color: $primary;
    cursor: pointer;
    font-size: 16px;
    font-weight: 500;
    line-height: 20px;
    white-space: nowrap;
    margin-bottom: 5px;
    text-align: left;
    transition: background-color 0.2s ease;
  }

  .login-select__option:hover,
  .login-select__option:focus {
    background-color: #F8F8F8;
    font-weight: $weight-bold;
  }

  .arrow-icon {
    font-size: 24px;
    color: $primary;
    margin-left: 5px;
  }
}
